source: trunk/dports/editors/TeXmacs/files/patch-aclocal.m4.diff @ 134549

Last change on this file since 134549 was 134549, checked in by ryandesign@…, 5 years ago

TeXmacs: update to 1.99.2 (#43428)

File size: 1.2 KB
  • aclocal.m4

    old new  
    88## The GUILE_FLAGS macro.
    99  ## First, let's just see if we can find Guile at all.
    1010  AC_MSG_CHECKING(for Guile)
    11   guile-config link > /dev/null || {
    12     echo "configure: cannot find guile-config; is Guile installed?" 1>&2
     11  guile18-config link > /dev/null || {
     12    echo "configure: cannot find guile18-config; is Guile installed?" 1>&2
    1313    exit 1
    1414  }
    15   GUILE_ORIGINAL_CFLAGS="`guile-config compile`"
     15  GUILE_ORIGINAL_CFLAGS="`guile18-config compile`"
    1616  GUILE_CFLAGS="$GUILE_ORIGINAL_CFLAGS"
    1717  GUILE_VARIANT_CFLAGS="$GUILE_ORIGINAL_CFLAGS $GUILE_ORIGINAL_CFLAGS/guile $GUILE_ORIGINAL_CFLAGS/libguile"
    18   GUILE_LDFLAGS="`guile-config link`"
    19   GUILE_VARIANT_LDFLAGS="-L`guile-config info libdir` -lguile -lreadline -ltermcap"
     18  GUILE_LDFLAGS="`guile18-config link`"
     19  GUILE_VARIANT_LDFLAGS="-L`guile18-config info libdir` -lguile -lreadline -ltermcap"
    2020  AC_SUBST(GUILE_CFLAGS)
    2121  AC_SUBST(GUILE_LDFLAGS)
    2222  AC_MSG_RESULT(yes)
     
    2828
    2929AC_DEFUN(TEXMACS_LINK_GUILE,
    3030[AC_TRY_LINK([
    31 #include <guile/gh.h>
     31#include <guile18/gh.h>
    3232$CONFIG_DOTS
    3333],[
    3434  struct dummy {
Note: See TracBrowser for help on using the repository browser.